package com.university;

import java.util.ArrayList;

public class Department {
    private String name;
    private ArrayList<Student> stds = new ArrayList<Student>();
    private Student[] students;
    private ArrayList<Course> crs = new ArrayList<Course>();
    private Course[] courses;
    private ArrayList<Professor> prfs = new ArrayList<Professor>();
    private Professor[] professors;
    public Department(String name) {
        this.name = name;
    }

    public String getName(){
        return name;
    }

    public void addStudent(Student student){
        if(student.getDepartment().getName() == this.name){
            stds.add(student);
        }

    }

    public Student[] getStudents(){
        students = stds.toArray(new Student[stds.size()]);
        return students;
    }

    public void removeStudent(Student student){
        if(student.getDepartment().getName() == this.name){
            for(Student std : students){
                if(std == student)
                stds.remove(student);}
        }

    }

    public void addCourse(Course course){
        if(course.getDepartment().getName() == this.name) {
            crs.add(course);
        }

    }

    public Course[] getCourses(){
        courses = crs.toArray(new Course[crs.size()]);
        return courses;
    }

    public void removeCourse(Course course){
        crs.remove(course);

    }

    public void addProfessor(Professor professor){
        if(professor.getDepartment().getName() == this.name){
            prfs.add(professor);
        }

    }

    public Professor[] getProfessors(){
        professors = prfs.toArray(new Professor[prfs.size()]);
        return professors;
    }

    public void removeProfessor(Professor professor){
        for(Professor pfs : prfs){
            if(pfs == professor){
                prfs.remove(professor);
            }
        }

    }

}
