package com.university;

import java.util.ArrayList;

public class Student {
    private String name;
    private String ID;
    private String major;
    private Department dpart;
    private ArrayList<Course> crss = new ArrayList<Course>();


    public Student(String name, String ID, String major, Department department) {

        this.name = name;
        this.ID = ID;
        this.major = major;
        dpart = department;
    }

    public String getName() {
        return name;
    }

    public String getID() {
        return ID;
    }

    public String getMajor() {
        return major;
    }

    public Department getDepartment() {
        return dpart;
    }

    public Course[] getCourses() {
        Course[] courses = crss.toArray(new Course[crss.size()]);
        return courses;
    }

    public void addCourse(Course course){
        if(course != null) {
            crss.add(course);
        }
    }
}
